## org.exist.source
Class SourceFactory

    java.lang.Object
      org.exist.source.SourceFactory

public class SourceFactory
extends java.lang.Object

Factory to create a `Source` object for a given URL.

Author:
  wolf

Constructor Summary
`SourceFactory()`

Method Summary
`static Source` `getSource(java.lang.String contextPath, java.lang.String location, boolean checkXQEncoding)` Create a `Source` object for the given URL.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceFactory

    public SourceFactory()

Method Detail

### getSource

    public static final Source getSource(java.lang.String contextPath,
                                         java.lang.String location,
                                         boolean checkXQEncoding)
                                  throws java.net.MalformedURLException,
                                         java.io.IOException

  Create a `Source` object for the given URL. As a special case, if the URL starts with "resource:", the resource will be read from the current context class loader.

  Parameters:
    `contextPath` -
    `location` -
  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.